<?php
include(dirname(__FILE__) . '/lib/common_include.php');
//パラメータの整形
//パラメータは
//id[]
//name[]
//として入ってくるので、これを変形する。
//[
//	"id"=>id[i],
//	"name"=>name[i],
//	"order"=>i,
//]
//の形にする。
$ids = [];
$names = [];
$params = [ ];
$errReq = null;


if( array_key_exists('id' , $_POST ) ){
	$ids = $_POST[ 'id' ];
	if( !is_array($ids) ){
		$errReq = CC\RES::RES_SYSERRORS['ILLEGAL_PARAM'];
	}
}
if( array_key_exists( 'name' , $_POST ) ){
	$names = $_POST[ 'name' ];
	if( !is_array($names) ){
		$errReq = CC\RES::RES_SYSERRORS['ILLEGAL_PARAM'];
	}
}

if( $errReq == null){
	foreach( $ids as $idx => $id ){
		if( !is_string($id) && $id !== null ){
			$errReq = CC\RES::RES_SYSERRORS['ILLEGAL_PARAM'];
			break;
		};
		if( $id === '' ){
			$id = null;
		}
		$params[ $idx ] = [ 'id' => $id , 'order' => $idx , 'name' => null ];
	}
}
if( $errReq == null){
	foreach( $names as $idx => $name ){
		if( !is_string($name) && $name !== null ){
			$errReq = CC\RES::RES_SYSERRORS['ILLEGAL_PARAM'];
			break;
		};

		if( ! array_key_exists( $idx , $params) ){
			$params[ $idx ] = [ 'id' => null , 'order' => $idx ];
		}
		$params[ $idx ][ 'name' ] = $name;
	};
}
if( $errReq == null){

	$res = null;
	$db = new sysDb();
	if( ! $db->isEnable() ){
		$res = $db->error;
	}else{
		$res = $db->chgTblDb( $params );
	};
	C\res($res);
}else{
	C\res($errReq);
}